<template>
  <card class="list-container">
    <h3 class="list-title">{{ title }}</h3>
    <div class="scrollable-list">    
      <Participant v-for="p in participantList" :key="p.id" :participant="p" :callback-click-button="callbackClickItem" />
    </div>  
  </card>
</template>

<script>
import Participant from "~/components/Participant.vue";
import Card from "~/components/Card.vue";
export default {
  components: {
    Participant,
    Card
  },
  props: {
    title: {
      type: String,
      required: true
    },
    participantList: {
      type: Array,
      required: true
    },
    callbackClickItem: {
      type: Function,
      required: true
    }
  },
  created() {
    console.log(this.participantList);
  }
};
</script>

<style lang="scss" scoped>
.scrollable-list {
  overflow-y: scroll;
  width: 100%;
  display: flex;
  flex-direction: column;
}

.scrollable-list::-webkit-scrollbar {
  display: none;
}

.list-container {
  border-radius: 5px;
  box-shadow: 4px 4px 25px -3px rgba(128, 128, 128, 1);
  display: flex;
  flex-flow: column nowrap;
  justify-content: center;
  margin: 1.5vh auto;
  max-height: 20rem;
  max-width: 45rem;
  min-height: 10vh;
  padding: 0.75vh 0.75vh;
  width: 90vw;
}

.list-title {
  margin: 0 auto 0.25em;
  min-height: 2em;
}
</style>
